\begin{tikzpicture}[framed]
  \clip (-4,-6) rectangle (10,4);

  % Path A1
  \draw[ultra thick, smooth, color=teal, name path=A1]
    (-2,-3) .. controls (-1,1) and (3,-1.4) .. (7,-1.8)
    node[pos=0.2, above left] {$P_{13}$}
    node[pos=0.6, above left] {$P_{12}$}
    node[pos=0.9, above] {$P_{11}$}
    node (A1) [pos=0.35, minimum size=0.8cm, circle, draw,
      fill=teal!20, label=above:$A_1$] {};
  \draw[ultra thick, color=teal, <-] (A1) ++(-0.15,-0.03) -- ++(0.3,0.06);

  % Path A2
  \draw[ultra thick, smooth, color=purple, name path=A2]
    (-3,0) .. controls (0,3) and (4,3) .. (8,0)
    node[pos=0.2, above left] {$P_{23}$}
    node[pos=0.85, above] {$P_{22}$}
    node[pos=0.97, above right] {$P_{21}$}
    node (A2) [pos=0.5, minimum size=0.8cm, circle, draw,
      fill=purple!20, label=above:$A_2$] {};
  \draw[ultra thick, color=purple, ->] (A2) ++(-0.15,0) -- ++(0.3,0);

  % Path A3
  \draw[ultra thick, smooth, color=brown, name path=A3]
    (-1,-4) .. controls (-0.5,-1.5) and (7.5,1.5) .. (9,2)
    node[pos=0.2, below right] {$P_{35}$}
    node[pos=0.4, below right] {$P_{34}$}
    node[pos=0.55, below right] {$P_{33}$}
    node[pos=0.7, below right] {$P_{32}$}
    node[pos=0.85, below right] {$P_{31}$}
    node (A3) [pos=0.65, minimum size=0.8cm, circle, draw,
      fill=brown!20, label=below:$A_3$] {};
  \draw[ultra thick, color=brown, <-] (A3) ++(-0.15,-0.08) -- ++(0.3,0.14);

  \fill [color=teal, name intersections={of=A1 and A3, total=\t}]
  \foreach \s in {1,...,\t} {
    ($(intersection-\s)!1cm!-6:(A1)$) circle (2.5pt)
    ($(intersection-\s)!-1cm!-9:(A1)$) circle (2.5pt)
  };
  \fill [color=brown, name intersections={of=A1 and A3, total=\t}]
  \foreach \s in {1,...,\t} {
    ($(intersection-\s)!1cm!2:(A3)$) circle (2.5pt)
    ($(intersection-\s)!-1cm!4:(A3)$) circle (2.5pt)
  };

  \fill [color=purple, name intersections={of=A2 and A3, total=\t}]
  \foreach \s in {1,...,\t} {
    ($(intersection-\s)!1cm!-11:(A2)$) circle (2.5pt)
    ($(intersection-\s)!-1cm!-15:(A2)$) circle (2.5pt)
  };
  \fill [color=brown, name intersections={of=A2 and A3, total=\t}]
  \foreach \s in {1,...,\t} {
    %($(intersection-\s)!1cm!1:(A3)$) circle (2.5pt)
    ($(intersection-\s)!-1cm!-1:(A3)$) circle (2.5pt)
  };
\end{tikzpicture}

